> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Evals for Completion

> 
Queue evaluations to run against a specific completion. Evaluations are executed asynchronously.

Use the `eval_types` field to control which evaluations run:
- `all` (default): Run both LLM-as-judge and code evaluations
- `llm-as-judge`: Run only LLM-based evaluations
- `code`: Run only code-based evaluations

Optionally pass `criteria_ids` to run specific evaluation criteria. When provided, those
criteria are executed regardless of whether they have already been evaluated. When omitted,
only criteria that have not yet been evaluated for this completion will run.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/sessions/{session_id}/completions/{completion_id}/evaluations
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/sessions/{session_id}/completions/{completion_id}/evaluations:
    post:
      tags:
        - Evaluation Criteria
      summary: Execute Evals for Completion
      description: >-

        Queue evaluations to run against a specific completion. Evaluations are
        executed asynchronously.


        Use the `eval_types` field to control which evaluations run:

        - `all` (default): Run both LLM-as-judge and code evaluations

        - `llm-as-judge`: Run only LLM-based evaluations

        - `code`: Run only code-based evaluations


        Optionally pass `criteria_ids` to run specific evaluation criteria. When
        provided, those

        criteria are executed regardless of whether they have already been
        evaluated. When omitted,

        only criteria that have not yet been evaluated for this completion will
        run.
      operationId: post_execute_completion_evals
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          required: true
          schema:
            type: string
        - name: completion_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                eval_types:
                  $ref: '#/components/schemas/EvalTypeFilter'
                  default: all
                criteria_ids:
                  default: null
                  title: Criteria Ids
                  items:
                    format: uuid
                    type: string
                  type:
                    - array
                    - 'null'
              title: ExecuteEvalsRequest
              type: object
      responses:
        '202':
          content:
            application/json:
              schema:
                properties: {}
                title: EmptyResponse
                type: object
          description: EmptyResponse()
components:
  schemas:
    EvalTypeFilter:
      enum:
        - all
        - llm-as-judge
        - code
      title: EvalTypeFilter
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````